package com.ruoyi.system.domain.visit.dr;

import java.io.Serializable;

public class VisitDrTaskSign implements Serializable {
    private String id;

    private String taskId;

    private String checkedObject;

    private String telephone;

    private String address;

    private String checkTime;

    private String checkPeople;

    private String extfiledOne;

    private String extfiledTwo;

    private String extfiledThree;

    private String extfiledFour;

    private String extfiledFive;

    private String extfiledSix;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getCheckedObject() {
        return checkedObject;
    }

    public void setCheckedObject(String checkedObject) {
        this.checkedObject = checkedObject;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(String checkTime) {
        this.checkTime = checkTime;
    }

    public String getCheckPeople() {
        return checkPeople;
    }

    public void setCheckPeople(String checkPeople) {
        this.checkPeople = checkPeople;
    }

    public String getExtfiledOne() {
        return extfiledOne;
    }

    public void setExtfiledOne(String extfiledOne) {
        this.extfiledOne = extfiledOne;
    }

    public String getExtfiledTwo() {
        return extfiledTwo;
    }

    public void setExtfiledTwo(String extfiledTwo) {
        this.extfiledTwo = extfiledTwo;
    }

    public String getExtfiledThree() {
        return extfiledThree;
    }

    public void setExtfiledThree(String extfiledThree) {
        this.extfiledThree = extfiledThree;
    }

    public String getExtfiledFour() {
        return extfiledFour;
    }

    public void setExtfiledFour(String extfiledFour) {
        this.extfiledFour = extfiledFour;
    }

    public String getExtfiledFive() {
        return extfiledFive;
    }

    public void setExtfiledFive(String extfiledFive) {
        this.extfiledFive = extfiledFive;
    }

    public String getExtfiledSix() {
        return extfiledSix;
    }

    public void setExtfiledSix(String extfiledSix) {
        this.extfiledSix = extfiledSix;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", taskId=").append(taskId);
        sb.append(", checkedObject=").append(checkedObject);
        sb.append(", telephone=").append(telephone);
        sb.append(", address=").append(address);
        sb.append(", checkTime=").append(checkTime);
        sb.append(", checkPeople=").append(checkPeople);
        sb.append(", extfiledOne=").append(extfiledOne);
        sb.append(", extfiledTwo=").append(extfiledTwo);
        sb.append(", extfiledThree=").append(extfiledThree);
        sb.append(", extfiledFour=").append(extfiledFour);
        sb.append(", extfiledFive=").append(extfiledFive);
        sb.append(", extfiledSix=").append(extfiledSix);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        VisitDrTaskSign other = (VisitDrTaskSign) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTaskId() == null ? other.getTaskId() == null : this.getTaskId().equals(other.getTaskId()))
            && (this.getCheckedObject() == null ? other.getCheckedObject() == null : this.getCheckedObject().equals(other.getCheckedObject()))
            && (this.getTelephone() == null ? other.getTelephone() == null : this.getTelephone().equals(other.getTelephone()))
            && (this.getAddress() == null ? other.getAddress() == null : this.getAddress().equals(other.getAddress()))
            && (this.getCheckTime() == null ? other.getCheckTime() == null : this.getCheckTime().equals(other.getCheckTime()))
            && (this.getCheckPeople() == null ? other.getCheckPeople() == null : this.getCheckPeople().equals(other.getCheckPeople()))
            && (this.getExtfiledOne() == null ? other.getExtfiledOne() == null : this.getExtfiledOne().equals(other.getExtfiledOne()))
            && (this.getExtfiledTwo() == null ? other.getExtfiledTwo() == null : this.getExtfiledTwo().equals(other.getExtfiledTwo()))
            && (this.getExtfiledThree() == null ? other.getExtfiledThree() == null : this.getExtfiledThree().equals(other.getExtfiledThree()))
            && (this.getExtfiledFour() == null ? other.getExtfiledFour() == null : this.getExtfiledFour().equals(other.getExtfiledFour()))
            && (this.getExtfiledFive() == null ? other.getExtfiledFive() == null : this.getExtfiledFive().equals(other.getExtfiledFive()))
            && (this.getExtfiledSix() == null ? other.getExtfiledSix() == null : this.getExtfiledSix().equals(other.getExtfiledSix()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTaskId() == null) ? 0 : getTaskId().hashCode());
        result = prime * result + ((getCheckedObject() == null) ? 0 : getCheckedObject().hashCode());
        result = prime * result + ((getTelephone() == null) ? 0 : getTelephone().hashCode());
        result = prime * result + ((getAddress() == null) ? 0 : getAddress().hashCode());
        result = prime * result + ((getCheckTime() == null) ? 0 : getCheckTime().hashCode());
        result = prime * result + ((getCheckPeople() == null) ? 0 : getCheckPeople().hashCode());
        result = prime * result + ((getExtfiledOne() == null) ? 0 : getExtfiledOne().hashCode());
        result = prime * result + ((getExtfiledTwo() == null) ? 0 : getExtfiledTwo().hashCode());
        result = prime * result + ((getExtfiledThree() == null) ? 0 : getExtfiledThree().hashCode());
        result = prime * result + ((getExtfiledFour() == null) ? 0 : getExtfiledFour().hashCode());
        result = prime * result + ((getExtfiledFive() == null) ? 0 : getExtfiledFive().hashCode());
        result = prime * result + ((getExtfiledSix() == null) ? 0 : getExtfiledSix().hashCode());
        return result;
    }
}